Update Access Profile Members

Add or remove members from a specific access profile version

Endpoint

PUT /api/private/lifecycle_management/access_profiles/{id}/versions/{version}/members

Description

Adds or removes identities as members of a specific Access Profile version. Access Profiles define entitlements (such as group memberships, role assignments, or permission sets) in target applications.

When you add a member, Veza creates access requests to provision those entitlements to the identity. When you remove a member, Veza creates access requests to de-provision those entitlements from the identity.

circle-info

Provisioning Behavior: Access requests for provisioning/de-provisioning are only created when the Access Profile is in a RUNNING state and the version is PUBLISHED.

circle-info

Member Requirements: A member must be an LCM identity. Only identities managed by Lifecycle Management can be added to Access Profiles.

API Reference

put
Authorizations
AuthorizationstringRequired

Veza API key for authentication. Generate keys in Administration > API Keys.

Path parameters
access_profile_idstringRequired
version_numberinteger · int32Required
Body
access_profile_idstringOptional
version_numberinteger · int32Optional
typeinteger · enumOptional
identity_idsstring[]Optional
Responses
chevron-right
200

OK

application/json
access_request_idstringOptional
access_request_error_messagestringOptional
put
/api/private/lifecycle_management/access_profiles/{access_profile_id}/versions/{version_number}/members

Request schema

Path parameters

Path parameter
Type
Required?
Description

access_profile_id

string

Required

Unique identifier of the access profile

version_number

integer

Required

Version number of the access profile

Request body

Field
Type
Required?
Description

access_profile_id

string

Required

ID of the access profile (same as path parameter)

identity_ids

array[string]

Required

Array of Veza identity IDs to add or remove

type

string

Required

Operation type: ADD or REMOVE

version_number

integer

Required

Version number of the access profile

Request Examples

Add members to an access profile:

Response Examples

circle-info

Response Fields:

  • value: The updated access profile version object

  • access_requests: Array of access request information created by this operation (if Lifecycle Management is running)

  • Each access request includes an id (if successful) or error_message (if failed)

Last updated

Was this helpful?